### Function

# Fwupd error_to_string

since: 0.7.0

#### Declaration [src]

    const gchar*
    fwupd_error_to_string (
      FwupdError error
    )

#### Description [src]

Converts an enumerated error to a string.

Available since: 0.7.0

#### Parameters

`error`

  Type: `FwupdError`

  An enumerated error, e.g. `FWUPD_ERROR_VERSION_NEWER`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.